From 22fc7eaa3242d6e4eee8d0704b36d9f416acba03 Mon Sep 17 00:00:00 2001
From: Baochen qiang <bqiang@codeaurora.org>
Date: Fri, 17 Jul 2020 18:50:16 +0800
Subject: [PATCH 163/173] ath11k: override srng config for WBM related rings of
 QCA6490

QCA6490 needs a different srng config for WBM related rings compared with
QCA6390/QCA6290, so override old srng config.

Tested-on: QCA6490 hw1.1 PCI WLAN.HSP.1.1-00687-QCAHSPSWPL_V1_SILICONZ-1

Signed-off-by: Baochen qiang <bqiang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/hal.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/hal.c b/drivers/net/wireless/ath/ath11k/hal.c
index 61dad6c..d9addac 100644
--- a/drivers/net/wireless/ath/ath11k/hal.c
+++ b/drivers/net/wireless/ath/ath11k/hal.c
@@ -268,6 +268,17 @@ void ath11k_override_hal_srng_config(struct ath11k_base *ab)
 			 ab->regs->ce0_dst_reg_base;
 	hw_srng_config[10].reg_size[1] = (ab->regs->ce1_dst_reg_base -
 			 ab->regs->ce0_dst_reg_base);
+
+	hw_srng_config[HAL_WBM_IDLE_LINK].reg_start[0] = ab->regs->hal_wbm_idle_link_ring_base_lsb
+		+ HAL_SEQ_WCSS_UMAC_WBM_REG;
+
+	hw_srng_config[HAL_SW2WBM_RELEASE].reg_start[0] = ab->regs->hal_wbm_release_ring_base_lsb
+		+ HAL_SEQ_WCSS_UMAC_WBM_REG;
+
+	hw_srng_config[HAL_WBM2SW_RELEASE].reg_start[0] = ab->regs->hal_wbm0_release_ring_base_lsb
+		+ HAL_SEQ_WCSS_UMAC_WBM_REG;
+	hw_srng_config[HAL_WBM2SW_RELEASE].reg_size[0] = ab->regs->hal_wbm1_release_ring_base_lsb
+		- ab->regs->hal_wbm0_release_ring_base_lsb;
 }
 
 static int ath11k_hal_alloc_cont_rdp(struct ath11k_base *ab)
-- 
1.9.1

